/**
 * Copyright 2020 NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Context } from '../../index';
/**
 * @class Service
 * @package contracts
 * @since v0.1.0
 * @description Abstract class that describes a service interface for NIP13 token commands.
 */
export declare abstract class Service {
    /**
     * @description Execution context
     */
    protected readonly context: Context;
    /**
     * Construct a command object around `context`
     *
     * @param {Context} context
     */
    constructor(
    /**
     * @description Execution context
     */
    context: Context);
}
