/**
 * Copyright 2020 NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Address } from 'symbol-sdk';
import { TokenIdentifier } from './TokenIdentifier';
/**
 * @class Notification
 * @package models
 * @since v0.1.0
 * @description Model that describes a notification.
 */
export declare class Notification {
    /**
     * @description The notification target
     */
    target: Address | TokenIdentifier;
    /**
     * @description The notification message
     */
    message: string;
    /**
     * Constructor for Notification objects
     *
     * @param {Address|TokenIdentifier} target
     * @param {string} message
     */
    constructor(
    /**
     * @description The notification target
     */
    target: Address | TokenIdentifier, 
    /**
     * @description The notification message
     */
    message: string);
}
