/**
 * Copyright 2020 NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { PublicAccount, MosaicId } from 'symbol-sdk';
import { Service } from '../../../../index';
/**
 * @class MosaicService
 * @package services
 * @since v0.1.0
 * @description Class that describes a service around token metadata features.
 */
export declare class MosaicService extends Service {
    /**
     * Read published security tokens. Security tokens MUST publish
     * a creation proof transaction on the authority account.
     *
     * @param {PublicAccount}       authority
     * @return {SecuritiesMetadata}
     */
    getMosaicsFromNetwork(authority: PublicAccount, descriptor?: string): Promise<MosaicId[]>;
}
