"use strict";
/**
 * Copyright 2020 NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const mocha_1 = require("mocha");
// internal dependencies
const index_1 = require("../mocks/index");
const index_2 = require("../../index");
const symbol_sdk_1 = require("symbol-sdk");
const NetworkConfig_1 = require("../../src/models/NetworkConfig");
const TransactionParameters_1 = require("../../src/models/TransactionParameters");
const context = new index_2.Context(1, index_1.getTestAccount('operator1'), new NetworkConfig_1.NetworkConfig('http://api-01.us-west-1.0941-v1.symboldev.network', index_1.getTestAccount('operator1').address.networkType, 'ACECD90E7B248E012803228ADB4424F0D966D24149B72E58987D2BF2F2AF03C4', new symbol_sdk_1.MosaicId('519FC24B9223E0B4')), new TransactionParameters_1.TransactionParameters(symbol_sdk_1.Deadline.create(), undefined), undefined);
const contextWithArgs = new index_2.Context(1, index_1.getTestAccount('operator1'), new NetworkConfig_1.NetworkConfig('http://api-01.us-west-1.0941-v1.symboldev.network', index_1.getTestAccount('operator1').address.networkType, 'ACECD90E7B248E012803228ADB4424F0D966D24149B72E58987D2BF2F2AF03C4', new symbol_sdk_1.MosaicId('519FC24B9223E0B4')), new TransactionParameters_1.TransactionParameters(symbol_sdk_1.Deadline.create(), undefined), [new index_2.CommandOption('identifier', 'id')]);
mocha_1.describe('contracts/Context --->', () => {
    mocha_1.describe('getInput() should', () => {
        mocha_1.it('use default value given no arguments', () => {
            // act
            const identifier = context.getInput('identifier', 'default');
            // assert
            chai_1.expect(identifier).to.not.be.undefined;
            chai_1.expect(identifier).to.be.equal('default');
        });
        mocha_1.it('use correct value given argument', () => {
            // act
            const identifier = contextWithArgs.getInput('identifier', 'default');
            // assert
            chai_1.expect(identifier).to.not.be.undefined;
            chai_1.expect(identifier).to.be.equal('id');
        });
    });
});
