"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Copyright 2020 NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const symbol_sdk_1 = require("symbol-sdk");
const symbol_uri_scheme_1 = require("symbol-uri-scheme");
// internal dependencies
const index_1 = require("../../index");
class FakeCommand extends index_1.BaseCommand {
    get name() {
        return 'FakeCommand';
    }
    get descriptor() {
        return 'NIP13(' + this.context.revision + '):fake:0';
    }
    synchronize() {
        return __awaiter(this, void 0, void 0, function* () {
            return true;
        });
    }
    canExecute(actor, argv) {
        return new index_1.AllowanceResult(true);
    }
    execute(actor, argv) {
        return new symbol_uri_scheme_1.TransactionURI('');
    }
    prepare() {
        return symbol_sdk_1.AggregateTransaction.createBonded(this.context.parameters.deadline, this.transactions, this.context.network.networkType, [], this.context.parameters.maxFee);
    }
    get transactions() {
        return [];
    }
}
exports.FakeCommand = FakeCommand;
